/* Base */
.snk-follow-button {
	display: inline-flex;
	align-items: center;
	align-self: center;
	padding: 0.275rem 0.375rem;
	margin-left: 0.25rem;
	gap: 0.25rem;
	border-radius: 999px;
	border: 1px solid var(--snk-text-color);
	background: transparent;
	color: var(--snk-text-color);
	font-family: var(--snk-font-accent);
	font-size: 0.9375rem;
	line-height: 1;
	font-weight: var(--snk-fw-bold);
	cursor: pointer;
	position: relative;
	overflow: hidden;
	transition: background-color 0.2s ease, color 0.3s linear, border-color 0.2s ease;
}

.snk-post-authors .snk-follow-button--post {
	margin-bottom: 0.2rem;
}

.snk-post-authors .snk-follow-button__label {
	padding-bottom: 0.1rem;
	padding-right: 0.25rem;
}


.snk-post-authors .snk-follow-button {
	color: #0d1329;
	border-color: #0d1329;
}

.snk-follow-button__icon {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	border: none;
	font-size: 1rem;
	line-height: 1;
	position: relative;
	z-index: 1;
}

.snk-follow-button__icon-plus,
.snk-follow-button__icon-check {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	line-height: 1;
}

.snk-follow-button__icon-check {
	display: none;
}

.snk-follow-button__icon-check svg,
.snk-follow-button__icon-plus svg {
	width: 0.9375rem;
	height: 0.9375rem;
	display: block;
}

.snk-follow-button__icon-check svg * {
	stroke: #FFF;
}

.snk-follow-button__label {
	white-space: nowrap;
	position: relative;
	z-index: 1;
}

/* State */
.snk-follow-button.is-following {
	background: var(--snk-link-underline-color-2);
	border-color: var(--snk-link-underline-color-2);
	color: var(--snk-text-color);
}

.snk-follow-button.is-following .snk-follow-button__icon-plus {
	display: none;
}

.snk-follow-button.is-following .snk-follow-button__icon-check {
	display: inline-flex;
}

/* Location: Post */
.snk-follow-button--post:hover,
.snk-follow-button--post:focus-visible {
	background: var(--snk-link-underline-color-2);
	border-color: var(--snk-link-underline-color-2);
}

.snk-follow-button--post.is-following .snk-follow-button__icon-check svg * {
	stroke: #0d1329;
}

/* Location: Author */
.snk-follow-button--author {
	align-self: flex-start;
	background: #80ebd3;
	border-color: #80ebd3;
	color: #0d1329;
}

.snk-follow-button--author::before {
	content: '';
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	pointer-events: none;
	border-radius: inherit;
	transform: translateX(-101%);
	transition: transform 0.3s ease-in, background-color 0.3s linear;
	background: linear-gradient(0deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%), #80ebd3;
}

.snk-follow-button--author:hover,
.snk-follow-button--author:focus-visible {
	background: #80ebd3;
	border-color: #80ebd3;
	color: #0d1329;
}

.snk-follow-button--author:hover::before,
.snk-follow-button--author:focus-visible::before {
	transform: translateX(0);
}

.snk-follow-button--author:active::before {
	background: linear-gradient(0deg, rgba(0, 0, 0, 0.3) 0%, rgba(0, 0, 0, 0.3) 100%), #80ebd3;
}

.snk-follow-button--author.is-following {
	background: transparent;
	border-color: #fff;
	color: #fff;
}

.snk-follow-button--author.is-following::before {
	content: none;
}

.snk-follow-button--author.is-following:hover,
.snk-follow-button--author.is-following:focus-visible {
	background: transparent;
	border-color: #fff;
	color: #fff;
}

@media (max-width: 767.98px) {
	.snk-post-authors .snk-follow-button {
		order: 4;
	}
}

/* Location: Category */
.snk-follow-button--category {
	background: #fff;
	border-color: #fff;
	color: #0d1329;
	font-weight: var(--snk-fw-bold);
}



.snk-follow-button--category .snk-follow-button__icon-check svg * {
	stroke: currentColor;
}

.snk-follow-button--category:hover,
.snk-follow-button--category:focus-visible {
	background: transparent;
	border-color: #fff;
	color: #fff;
}


.snk-follow-button--category:hover svg,
.snk-follow-button--category:focus-visible svg {
	color: #fff;
	fill: #fff;
}

.snk-follow-button--category.is-following {
	background: transparent;
	border-color: #fff;
	color: #fff;
}

.snk-follow-button--category.is-following:hover,
.snk-follow-button--category.is-following:focus-visible {
	background: #fff;
	border-color: #fff;
	color: #0d1329;
}

.snk-follow-button--category.is-following:hover svg,
.snk-follow-button--category.is-following:focus-visible svg {
	color: #0d1329;
}

/* Accessibility/disabled */
.snk-follow-button:focus-visible {
	outline: 2px solid var(--snk-link-ouline-color);
	outline-offset: var(--snk-btn-ouline-offset);
}

.snk-follow-button:disabled {
	opacity: 0.6;
	cursor: not-allowed;
}

/* Follow modal custom style */
.snk-follow-modal h1,
.snk-follow-modal h2,
.snk-follow-modal h3,
.snk-follow-modal h4,
.snk-follow-modal h5,
.snk-follow-modal h6,
.snk-follow-modal p,
.snk-follow-modal a,
.snk-follow-modal span,
.snk-follow-modal .snk-btn-primary,
.snk-follow-modal .snk-btn-primary span {
	color: #0d1329;
}

.snk-follow-modal .snk-follow-modal__actions {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 0.375rem;
}

.snk-follow-modal .snk-follow-modal__actions .snk-btn-link {
	display: inline-flex;
	text-align: center;
	align-items: center;
	justify-content: center;
}

.snk-follow-modal .snk-follow-modal__actions .snk-btn-link span {
	justify-content: center;
	text-align: center;
	transform: translateX(0) translateZ(0);
}

.snk-follow-modal .snk-follow-modal__actions .snk-btn-link:hover span,
.snk-follow-modal .snk-follow-modal__actions .snk-btn-link:active span,
.snk-follow-modal .snk-follow-modal__actions .snk-btn-link:focus span {
	transform: translateX(0) translateZ(0);
}

.snk-follow-modal .snk-follow-modal__actions .snk-btn-link span::before,
.snk-follow-modal .snk-follow-modal__actions .snk-btn-link span::after {
	content: none;
}